Bug 843161 - Content Search: Compare - need tooltips or other methods to extend long lines in fields.
Content Search: Compare - need tooltips or other methods to extend long lines...
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.1
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Jason E. Rist
Corey Welton
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-25 14:34 EDT by Corey Welton
Modified: 2014-09-18 12:41 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Using Content Search Compare cut the the repository and the package names. This disabled the ability to view the full name of each. This fix adds tool tips that pop up on mouse hover.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:48:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (35.06 KB, image/png)
2012-07-25 14:36 EDT, Corey Welton
no flags Details

  None (edit)
Description Corey Welton 2012-07-25 14:34:22 EDT
Description of problem:

In a content search compare,  when user  is reviewing packages between two or more repos, both the repo names themselves and the package names tend to get ellipsed... but there is no way to really view the full name, so it can get confusing.


Version-Release number of selected component (if applicable):
Katello Version: 0.2.49-1.git.2.b978990.el6_3 

How reproducible:


Steps to Reproduce:
1. Sync two different similar RH repos, such as RHEL 6.2 and RHEL 6.3, or RHEL 6.3 x86_64 and RHEL6.3 i386
2. Content Search, choose a Content Type of Repos
3. Select your RH repos for comparison and submit
4. View results
  
Actual results:
Long names are ellipsed but it is impossible to tell which package belongs to which repo.

Expected results:
Some sort of tooltip or method to assure we can readily identify packages and repos.

Additional info:

ehelms has indicated that this might be in a future rev, but wanted to make sure we had a bz for testing/usability purposes.
Comment 1 Corey Welton 2012-07-25 14:36:36 EDT
Created attachment 600374 [details]
screenshot
Comment 2 Corey Welton 2012-07-26 11:12:29 EDT
Package and possibly errata descriptions within a repo should have this too.
Comment 3 Mike McCune 2012-08-07 11:46:50 EDT
ON_DEV, fixed in master
Comment 5 Corey Welton 2012-09-18 12:31:48 EDT
QE Verified.

CloudForms System Engine Version: 1.1.12-7.el6cf
Comment 7 errata-xmlrpc 2012-12-04 14:48:19 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html
Comment 8 Mike McCune 2013-08-16 13:56:39 EDT
getting rid of 6.0.0 version since that doesn't exist

Note You need to log in before you can comment on or make changes to this bug.